# ORCA1 Regridding

Scripts that regrid regular observed data into an ORCA1 grid and into CMIP variables and units.

Scripts outline:


## to_ORCA.py

Regrids monthly observed data into an ORCA1 grid using cubic spline interpolation. Compatible with 2d and 3d data. The input data must meet the standards of the department (usual directory structure, 1 variable per file, 1 month per file, name in format var\_yyyymm.nc).

To run on local:

`module load Iris`

`python to_ORCA.py var /path/to/data/monthly/`

This will take the directory `/path/to/data/monthly/var/` as input and will produce outputs in `/path/to/data/monthly/var-orca1/`.

Supported datasets:
* /esarchive/obs/acri/globcolour
* /esarchive/obs/esa/occci-v5.0
* /esarchive/obs/esa/pp\_oc-cci-v4.2
* /esarchive/obs/esa/pc\_oc-cci-v5
* /esarchive/obs/cmems/biobgc

The following netcdf files are used as templates:
coordinates\_xios.nc
domain\_cfg.nc


## to_cmipvar.py

Takes regridded files as input and converts the variable to a CMIP ready one; i.e it renames the variable, changes the units and multiplies the data by a conversion factor.

To run in local:

Edit line 52 to the appropriate In variable name, Out variable name, conversion and unit.
module load Iris
python to\_cmipvar.py /path/to/inputs/ /path/to/outputs/


## add_vars.py

Similar to to\_cmipvar.py but adding two non-cmip variable into one cmip variable.


## csv_to_netCDF.py

Takes the original input file for COPEPOD (.csv) and makes it into a climatology

## copepod_tocmip.py

Takes the already regridded climatologies of copepod, makes it monthly and in CMIP. 

## week_to_month.py

Takes the original cmems data, which is weekly, and uses weighted means to convert it into monthly so it can be regridded and made CMIP ready.
