from netCDF4 import Dataset
import os

indir1 = '/esarchive/obs/esa/pc_oc-cci-v5/monthly/cnanophyto-orca1/'
indir2 = '/esarchive/obs/esa/pc_oc-cci-v5/monthly/cpicophyto-orca1/'
outdir = '/esarchive/obs/esa/pc_oc-cci-v5/monthly/phymiscos-orca1/'

months = [i[-9:] for i in os.listdir(indir1)]



for m in months:
    print(m)
    with Dataset(indir1 + "cnanophyto_" + m) as src1, Dataset(indir2 + "cpicophyto_" + m) as src2, Dataset(outdir + "phymiscos_" + m, "w") as dst:
        # copy global attributes all at once via dictionary
        dst.setncatts(src1.__dict__)
        # copy dimensions
        for name, dimension in src1.dimensions.items():
            dst.createDimension(
                name, (len(dimension) if not dimension.isunlimited() else None))
        # copy all file data except for the excluded
        for name, variable in src1.variables.items():
            if name == 'cnanophyto':
                x = dst.createVariable('phymiscos', variable.datatype, variable.dimensions)
                dst['phymiscos'][:] = (src1['cnanophyto'][:] + src2['cpicophyto'][:])/12011.
                dst['phymiscos'].setncatts(src1[name].__dict__)
                dst['phymiscos'].units = 'mol m-3'
            else:
                x = dst.createVariable(name, variable.datatype, variable.dimensions)
                dst[name][:] = src1[name][:]
                # copy variable attributes all at once via dictionary
                dst[name].setncatts(src1[name].__dict__)